Subject: Confusing documentation for c-tab-always-indent

From: Reuben Thomas <[email-masked]>
Date: Tue, 18 Nov 2008 12:48:15 +0100 (CET)

The docstring says:

  Note: The value of `indent-tabs-mode' will determine whether a real
  tab character will be inserted, or the equivalent number of spaces.
  When inserting a tab, actually the function stored in the variable
  `c-insert-tab-function' is called.

But this is not quite true. As far as I can tell from the code, 
indent-tabs-mode is not tested before calling c-insert-tab-function. What 
the documentation seems to mean is that if c-insert-tab-function has its 
default definition, insert-tab, then the first sentence applies. I suggest 
therefore the following paragraph in place of the above:

  The function stored in the variable `c-insert-tab-function' is called
  when a tab is to be inserted.  By default, this function is `insert-tab',
  which uses the value of `indent-tabs-mode' to determine whether a real
  tab character will be inserted, or the equivalent number of spaces.

-- 
http://rrt.sc3d.org/ | fantasize, a.  the largest you can imagine